GNU bug report logs - #47183
[PATCH 0/1] *** Numpy Update to v1.20.1 ***

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: BonfaceKilz <me@HIDDEN>; Keywords: patch; merged with #47184; dated Tue, 16 Mar 2021 08:01:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 47183 47184. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47183 <at> debbugs.gnu.org:


Received: (at 47183) by debbugs.gnu.org; 16 Mar 2021 18:35:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 14:35:27 2021
Received: from localhost ([127.0.0.1]:41058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMEXM-0008Tm-7G
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:35:27 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:51109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lMEXK-0008TZ-CV
 for 47183 <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:35:23 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 777FC209;
 Tue, 16 Mar 2021 14:35:16 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Tue, 16 Mar 2021 14:35:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:references:date
 :in-reply-to:message-id:mime-version:content-type; s=fm1; bh=kn9
 Ca/HaGBN5PzYFPNtImJ05bcPOGMQwRDOmdXmpzxs=; b=kjez40f+84zrB1lBjF8
 BKiMbaPKqefna+L2HqEurAYvhyABzFvcyqK8pjwzIQI5Z1Op6BOq6CFTm8a6NhXj
 0G/XfnLJyWkQVGvwGuuKimJwlyu0CfXSdgkf4uHYbNEFP6jlUjNIAN68bVWc0fHF
 zt9GtDtkrTzgc37KlneLRzqCPRUXCUIdrg+lVxzOgGyeVZliCqnYTV9jO8Pmy+45
 B4ICegmPqAic8h4n6uX1DJ6j/V6eh3uAPIaNYt7Dd0W3Qa0Rn/51Wl2e/42qD6LK
 qWlGh7+gXpmoifTMLo1/N4XtpYpwvzWffeFbC4klEIKPNmc9wn06EqtUf6YS9uAG
 WEg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=kn9Ca/
 HaGBN5PzYFPNtImJ05bcPOGMQwRDOmdXmpzxs=; b=iI0iq97dgkipxApRp7+Fo4
 DxzKENUABnCKROWUzWU0x3nvFc3+Z7whRvch25C9lsG0hkkGTCLl0ESfVtdvpDj9
 s96KQN9HcikBROlaePzBIaBrX/qT0kP/mWdyfC2qGQH2/FfoTWOFySFWnG8VDhoi
 g7YHv7qvkk2m59w8a8gWGyCpQSO+7xD57A8SP/QPjA437rDNRG676cJ4KT5cDqL6
 EgOwBgXhY84Zq0w0NlWLW08bOOVhz/6Y8p3+rt3LqgLamelkPlLYKD76QH/08luj
 vXwDHpyJs9H8vPp6KhVGelt8XsrOe6cFltowOcn5wNW3/RdtJ1gK+IXqA8UqDlqA
 ==
X-ME-Sender: <xms:Y_pQYKaSLbgIj-QJRJbhWDfX_hhr7EqyDHZAaIkdvpo3BZpErddlIA>
 <xme:Y_pQYGUS92uTesQe6qqtkp4zbgHKlz9rXm3ZoMpB_XAS0hdtpEB8_zG3zqQTQHU51
 35Y7rQMqHZxnnSljSg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudefvddgudduhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepuehonhhf
 rggtvgcuofhunhihohhkihcumfdruceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtg
 homheqnecuggftrfgrthhtvghrnhepveekheffffffjeehueejtddtieekudefteehjeff
 hfdtieevueevffefuefhieetnecuffhomhgrihhnpehgnhhurdhorhhgpdhuphgsohhokh
 gtlhhusgdrtghomhenucfkphepgedurdektddruddviedrvdefleenucevlhhushhtvghr
 ufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmvgessghonhhfrggtvghmuh
 hnhihokhhirdgtohhm
X-ME-Proxy: <xmx:Y_pQYG5-bRtUyZSueDryp0UoR1Y3LwiXwBFQuBSIb44vnkJoJvtzag>
 <xmx:Y_pQYJhbMto3PpUMKoZv1czTyI7xLYvU8z7YzqUoV4E0TAGZu9-oAQ>
 <xmx:Y_pQYFeHrReR0niWMDj-S9jPp6ubxrdT42eg1Uv4EDBPIWDqYAnKJg>
 <xmx:ZPpQYG0IMITgnwqeZoctva3IzmQT18TbMWd3YHdCMJtdYyRV6LcUlg>
Received: from susa (unknown [41.80.126.239])
 by mail.messagingengine.com (Postfix) with ESMTPA id A9FE3108005C;
 Tue, 16 Mar 2021 14:35:13 -0400 (EDT)
From: Bonface Munyoki K. <me@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: [bug#47183] [PATCH 0/1] *** Numpy Update to v1.20.1 ***
References: <20210316080012.168440-1-me@HIDDEN>
 <CAJ3okZ2iOanR5P2CyEN_aM4JG9pvVU95-YfyydRSHTjLEHG4MQ@HIDDEN>
 <YFCyQ5ZueV2+z4bx@3900XT>
Date: Tue, 16 Mar 2021 21:35:07 +0300
In-Reply-To: <YFCyQ5ZueV2+z4bx@3900XT> (Efraim Flashner's message of "Tue, 16
 Mar 2021 15:27:31 +0200")
Message-ID: <86h7lbt09w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47183
Cc: 47183 <at> debbugs.gnu.org, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Efraim Flashner <efraim@HIDDEN> writes:

> On Tue, Mar 16, 2021 at 02:18:56PM +0100, zimoun wrote:
>> Hi,
>>=20
>> On Tue, 16 Mar 2021 at 09:01, BonfaceKilz <me@HIDDEN> wrote:
>>=20
>> > Hi all! This patche updates python-numpy to v1.20.1 from 1.17.3. This =
update
>> > is important since numpy has introduced type annotations which is very=
 useful
>> > for CI when using a type checking tool such as mypy.
>>=20
>> I have not tried this one, but I have tried 1.19.4
>> <http://issues.guix.gnu.org/issue/45698> and I got some failure with
>> some dependants of Numpy.  Have you checked that the update does not
>> break other packages?
>>=20
>
> I found that matplotlib and scipy both had test failures.

Let me look into this and supply patches
accordingly!

=2D-=20
Bonface M. K. D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
Humble GNU Emacs User / Bearer of scheme-y parens
Curator: <https://upbookclub.com> / Twitter: @BonfaceKilz

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmBQ+l4WHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP1/DD/9q3XkYZgEWDt174qv/4Zk8TJVr
bfzesCqM6g9o9nZvsKpLQWEsWV2VgzN7d3CVhJj1n3RMbzUiQi1HELr93vtpBo1R
MNct5y/7TsZcUQLCusPfgihnPyg1CFN4x2u+BThLTVnUVTZ2FvvbxJtg1+64ucN8
i8DaaB/SiMwMK/eRbaV568LYNdhrqRIRqP937zKPTr6XKYqc4GerP6xZaykBJTUM
7eJ+0ow7BbKTfVG3v4+HRNxNB05MVdntaBLupRCfwjI7zDG9rmGLiAK4DHrV7OZH
IYxp3oKXVxycC0QuIkAolhtmJbcam3Sob43EqVfj7aHhtpWiUKXkpkLmz1Q50UJg
Snu+n6WCdfgXyF44U8rv+POn2IfD5vIrwjZ0GFJBYLxehPDen6IR1Yy4KFsgBSI1
mKMq8ZyhCqtvqgN4JA52dspjbW+ZVu7UgoU3fPWAQI9Xf/zrXmkD6DgujDU6nWVp
xKcl2CcPNWs8Q0Jdz4DgWFUc8gYqDO1EbIqgYvPmht0ZiAvXAwuaReJmM/9Z/Lul
wU0wOdUaBq1UYtph8kOu65mPjAzNVQvG2Z28wcNK9IwSC/obnbmakQ3BMuTT93Nj
Df4dPgkLLw5/YE0WjYDBPyruBttV8Rs0UMmLSTxTZa/9IvyjuI3qEACmDRRQ5Z15
O2fvhGxnuqvOiABKLw==
=/ltl
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#47183; Package guix-patches. Full text available.

Message received at 47183 <at> debbugs.gnu.org:


Received: (at 47183) by debbugs.gnu.org; 16 Mar 2021 13:28:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 09:28:24 2021
Received: from localhost ([127.0.0.1]:38514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9kG-0006Zi-BH
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:28:24 -0400
Received: from flashner.co.il ([178.62.234.194]:54706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lM9kD-0006ZS-JF
 for 47183 <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:28:22 -0400
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 3DF6940957;
 Tue, 16 Mar 2021 13:28:14 +0000 (UTC)
Date: Tue, 16 Mar 2021 15:27:31 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#47183] [PATCH 0/1] *** Numpy Update to v1.20.1 ***
Message-ID: <YFCyQ5ZueV2+z4bx@3900XT>
References: <20210316080012.168440-1-me@HIDDEN>
 <CAJ3okZ2iOanR5P2CyEN_aM4JG9pvVU95-YfyydRSHTjLEHG4MQ@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ptXdY1NReaxxoaQi"
Content-Disposition: inline
In-Reply-To: <CAJ3okZ2iOanR5P2CyEN_aM4JG9pvVU95-YfyydRSHTjLEHG4MQ@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 47183
Cc: BonfaceKilz <me@HIDDEN>, 47183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)


--ptXdY1NReaxxoaQi
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Mar 16, 2021 at 02:18:56PM +0100, zimoun wrote:
> Hi,
>=20
> On Tue, 16 Mar 2021 at 09:01, BonfaceKilz <me@HIDDEN> wrote:
>=20
> > Hi all! This patche updates python-numpy to v1.20.1 from 1.17.3. This u=
pdate
> > is important since numpy has introduced type annotations which is very =
useful
> > for CI when using a type checking tool such as mypy.
>=20
> I have not tried this one, but I have tried 1.19.4
> <http://issues.guix.gnu.org/issue/45698> and I got some failure with
> some dependants of Numpy.  Have you checked that the update does not
> break other packages?
>=20

I found that matplotlib and scipy both had test failures.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--ptXdY1NReaxxoaQi
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmBQskMACgkQQarn3Mo9
g1GVjQ/9GuRVRlHeELk3k9YUohI3gan8BhuXfAOcIGGDC6hIuQieWSpSCr4ErupW
dKXFjpecVmwaXaTiMQaTvslXRkAu54R3eqI9YrSTLx72zMToxEn5V8Si9SvgLoxC
lJ2rN+bnDWUBKMmSY+M/o7zre8C8dVxuDEz6Hdd3D/aO/eC+htEPZNdCPPzAc832
SnBtYOZYvKPELn1ZjUOSvTGAm18VrMQ40+fL8l9mCTCf6ruMh1qZVGyVDXMLGzvQ
Q3++ATpl69213wDcqVqXcMBy8GtVVmXEegYX/jH104OFrD7T3GbGNmpgH+jBD8Di
2F+DX2Lno/rByylLk+houCg+knFlsSGXcbW+krOgrVdXVBU+eS448xax41r1M5Eo
oARRDeCFxbT0yr5YeW9roeukZ98QzSBrTpL+pik387kPElwfzsQhAtosAa+24tL4
ZK9vIGjm3an5mu4NGDLY7S4i95kgAQUcoJbVmqGROShcj/JecR6kkICuNQHokh7W
+b6sNVIXVgiE5umgmDSuqK8Tm7iIYwssnFrkG4YABRdA/JpH37NguPG5meJVTPlY
GKfBMR9f7gyCCwSzjaoHBPsooO7bK4Ce7gU4aB8pPbTJCcwvoSranf9rAuMBSriW
feDDIT9cz8RKroBVu0VM++gzrselrLGQKhS0eWAD3Sdu/d/hUnU=
=fxS+
-----END PGP SIGNATURE-----

--ptXdY1NReaxxoaQi--




Information forwarded to guix-patches@HIDDEN:
bug#47183; Package guix-patches. Full text available.

Message received at 47183 <at> debbugs.gnu.org:


Received: (at 47183) by debbugs.gnu.org; 16 Mar 2021 13:19:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 09:19:29 2021
Received: from localhost ([127.0.0.1]:38502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9bc-0006N2-NR
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:19:28 -0400
Received: from mail-qt1-f177.google.com ([209.85.160.177]:43899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lM9ba-0006Me-Nb
 for 47183 <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:19:27 -0400
Received: by mail-qt1-f177.google.com with SMTP id s2so11554567qtx.10
 for <47183 <at> debbugs.gnu.org>; Tue, 16 Mar 2021 06:19:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=n6v3pm03A1+BAi/ivvwxPGEe2ds8E8crT6zYk8MbTSY=;
 b=Hw0Xw7kSfgxtx72qvjgxR/bSAFotinrKpVYtnqaE9sZ0+9xM8qUQbEKvL9YL32g4Bk
 8e6zT4U6fenIKjXkLjhdIgYq5awYowElAg+b1M2mVfiTKFJrXRf7AaE0j951OQWkkBz4
 4Cd+op6ufvrzEDeYeuLjpLCPCqkk+Ar+2AUbwNj2Mt+ZOQ46Cq8lC9SYb89udoMOvYZR
 DVwMrBsbb9dJ/h4jPdR9SrKRyjsFfUiaOqIkTkPBEghJMFtmMhyD+vYo1B7KlaVfCCf2
 EAZCcr3ZqPdVDhw+X7v/U+hYNtYmMy4gApT3DC9rIRhjapJYpSuehf77bV8gTW4T1sc1
 VqQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=n6v3pm03A1+BAi/ivvwxPGEe2ds8E8crT6zYk8MbTSY=;
 b=Kpk+xhRQIS4b89lLaegeC/5lJCIAUgCXt85KtbqQduIQdnC6wnM0zStDlF4+pUuJO2
 8FCcoNsStvElp3Z+OgcwJbNHPR5EjH0Cybexe9dhFDxqm/SGBWihvEOu4kQshrxaKmpq
 q3Gr7/ec8bNIjy2BJp2KlKmL4cEc8FvrmXTdErNTGwt3IAiOYcTLiltBdlcWhm3UT9IV
 SXODRaC3CTP020HeaKKVZkYdOBNBQCn3Y1YdiT+ifkWKUcHGouTWd4ZRn1a0LN7d0eLx
 9J/J0itRVRwAW2aV8CqsUHkJE4LggScpuCphF8/bJQ4zCsmcNUvPvh8uBBtl70N72NNS
 v9gA==
X-Gm-Message-State: AOAM530W8l9UVkSL7LpxVVpBzP88W6i/HaNWqZJ2ORJ5vdRK+TntOhuX
 6Yk7dEJrNiwRecXXRQmurEcp5SNVoIR0Bipg7xk=
X-Google-Smtp-Source: ABdhPJwtCeEUJNh1ArJJFsP2j3NlImVj5bbjOzVbcn0fv+4ujkNSHr9dLuWKhcyXFGJ6HI5WV8UUDhrZSHMi2fZSZzM=
X-Received: by 2002:ac8:5444:: with SMTP id d4mr27222151qtq.313.1615900747650; 
 Tue, 16 Mar 2021 06:19:07 -0700 (PDT)
MIME-Version: 1.0
References: <20210316080012.168440-1-me@HIDDEN>
In-Reply-To: <20210316080012.168440-1-me@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 16 Mar 2021 14:18:56 +0100
Message-ID: <CAJ3okZ2iOanR5P2CyEN_aM4JG9pvVU95-YfyydRSHTjLEHG4MQ@HIDDEN>
Subject: Re: [bug#47183] [PATCH 0/1] *** Numpy Update to v1.20.1 ***
To: BonfaceKilz <me@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 47183
Cc: 47183 <at> debbugs.gnu.org, Efraim Flashner <efraim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hi,

On Tue, 16 Mar 2021 at 09:01, BonfaceKilz <me@HIDDEN> wrote:

> Hi all! This patche updates python-numpy to v1.20.1 from 1.17.3. This update
> is important since numpy has introduced type annotations which is very useful
> for CI when using a type checking tool such as mypy.

I have not tried this one, but I have tried 1.19.4
<http://issues.guix.gnu.org/issue/45698> and I got some failure with
some dependants of Numpy.  Have you checked that the update does not
break other packages?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#47183; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Mar 2021 08:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 04:00:48 2021
Received: from localhost ([127.0.0.1]:38065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM4dE-0003lP-7N
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 04:00:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:49306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1lM4dD-0003lI-BW
 for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 04:00:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36434)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1lM4dB-0002uE-AG
 for guix-patches@HIDDEN; Tue, 16 Mar 2021 04:00:45 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:56287)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1lM4d3-0000Pt-9V
 for guix-patches@HIDDEN; Tue, 16 Mar 2021 04:00:40 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 74644293E;
 Tue, 16 Mar 2021 04:00:32 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 16 Mar 2021 04:00:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=from:to:cc:subject:date:message-id
 :mime-version:content-transfer-encoding; s=fm1; bh=LxL/ac7i/6uQh
 xnAjbLiypJVDKrcny4HJRj0nDwRJVg=; b=r9Sexs0tUz1kaImDPLbOJ68jwFwLh
 YVAVhCN0CUfiiB1R8qtbuhnSZKAeePQLdd330J8zKG32njYFe/WkwCJzzKOgJooF
 tekIsltn0ZvfKT1vqixY/7qT/znhD4X9fvId4YUDQFxgPsRrOi8t0Xkre0GIn9qe
 DKu0h3B4xjheLPRFb/PKSSin8N7UOifKjE5VAOaLErpqsrV2V07Bb6I/NyeK74OX
 q3J668kNpV2IoLC2WPKlFrtqHxyGrVXsholuThGx3cE6ub1/OcjfwMIbYi9LbBrs
 9DtiXY7h5/a9kw6Tk0RUN8iQ/YxOin/jdZr3i0T/tpyCro8d1AuFeqYQg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :message-id:mime-version:subject:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=LxL/ac7i/6uQhxnAj
 bLiypJVDKrcny4HJRj0nDwRJVg=; b=kNVXf9FIh/swigYr+qCxQ0NQWdZ6bJo+3
 w6jdW4RNB+5FizUT0IM6viOmpjxqfSYL2EVoay4lOg/Q4IVDojUbJ8n2vNs5UMn9
 TilLWF4Q4k4u7Z0XY38hA2uk7qw+wxmJGnvJ6uFztHXlKrFAebGE8oP72uemCNZF
 +pxyTlp898+GmP+tefOGCN1DvbVFnqdIEsd3nBJeyXew1v8yLl6nbhJjPVEYp2GN
 kjyqGMTITzLtzOxF4ZEgz4keWT/WaC3FT6yxEVbUjFnhQbtARztHoum4F3lNlj6X
 5C3KWcmovy+GeSORu1gcGnIdC59b/ccUvVLZJ3AgvUq+Br7mAgENg==
X-ME-Sender: <xms:n2VQYCY1LJfhkxxeH0IHbSw0zm62EglVPmJKovuMlc5xWBwax0hefQ>
 <xme:n2VQYFbhkFDzlO8viO8AZegTIbA6zxuFd48kigi6H891kiBrxr2sWyYAPY04UmIzX
 Ckh7pK9lWRBqMGSE0s>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudefuddguddugecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkffoggfgsedtkeertd
 ertddtnecuhfhrohhmpeeuohhnfhgrtggvmfhilhiiuceomhgvsegsohhnfhgrtggvmhhu
 nhihohhkihdrtghomheqnecuggftrfgrthhtvghrnhepueeufefhvefgtefhvdffleegke
 ffudeffeelhedvfefhgeefvefggeevgfeihedvnecukfhppeduleeirddvudeirdejtddr
 udejtdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 hmvgessghonhhfrggtvghmuhhnhihokhhirdgtohhm
X-ME-Proxy: <xmx:n2VQYM-Ny75AlI6abucuTcr4G66ZoYDHgdcL7I2OEuwf_eQc0Yx7cA>
 <xmx:n2VQYErHyp9qBqIQfmA-FEQVlMQZ60TuGujb2zBXna6Ib2hVUl3Ivg>
 <xmx:n2VQYNoa31hlJvR-pw2UzV6KMVgNfFEpYVg9BdTP7Ce7t5bs-W5pIg>
 <xmx:oGVQYMT1iD2KspWzQg0hzVLhtRvGPs4FDmKvxt18cA1bihhAWoEIDw>
Received: from localhost.localdomain (unknown [196.216.70.170])
 by mail.messagingengine.com (Postfix) with ESMTPA id BD0C81080064;
 Tue, 16 Mar 2021 04:00:29 -0400 (EDT)
From: BonfaceKilz <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] *** Numpy Update to v1.20.1 ***
Date: Tue, 16 Mar 2021 11:00:11 +0300
Message-Id: <20210316080012.168440-1-me@HIDDEN>
X-Mailer: git-send-email 2.29.2
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=64.147.123.20; envelope-from=me@HIDDEN;
 helo=wout4-smtp.messagingengine.com
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, RCVD_IN_SBL_CSS=3.335,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 URIBL_SBL_A=0.1 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Hi all! This patche updates python-numpy to v1.20.1 from
 1.17.3.
 This update is important since numpy has introduced type annotations which
 is very useful for CI when using a type checking tool such a [...] 
 Content analysis details:   (2.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [196.216.70.170 listed in zen.spamhaus.org]
 0.1 URIBL_SBL_A Contains URL's A record listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 0.6 URIBL_SBL Contains an URL's NS IP listed in the Spamhaus SBL
 blocklist [URIs: bonfacemunyoki.com]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: submit
Cc: BonfaceKilz <me@HIDDEN>, efraim@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi all! This patche updates python-numpy to v1.20.1 from 1.17.3.
    This update is important since numpy has introduced type annotations which
    is very useful for CI when using a type checking tool such a [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [196.216.70.170 listed in zen.spamhaus.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.51.188.17 listed in wl.mailspike.net]
  0.1 URIBL_SBL_A            Contains URL's A record listed in the Spamhaus SBL
                             blocklist
                             [URIs: bonfacemunyoki.com]
  0.6 URIBL_SBL              Contains an URL's NS IP listed in the Spamhaus SBL
                             blocklist
                             [URIs: bonfacemunyoki.com]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders

Hi all! This patche updates python-numpy to v1.20.1 from 1.17.3. This update
is important since numpy has introduced type annotations which is very useful
for CI when using a type checking tool such as mypy.

BonfaceKilz (1):
  gnu: python-numpy: Update to 1.20.1.

 gnu/packages/python-xyz.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

-- 
2.29.2





Acknowledgement sent to BonfaceKilz <me@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#47183; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 17 Mar 2021 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.